#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"
#include <vector>
#include <iostream>
TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    std::vector<double>v{1, 2};
    bool haveElements = find_minmax(v, min, max);
    CHECK(haveElements);
    CHECK(min == 1);
    CHECK(max == 2);
    CHECK(min != max);
}
TEST_CASE("EMPTY MASSIVE OR 1 ELEMENT IN MASSIVE"){
    double min = 0;
    double max = 0;
    std::vector<double>v{};
    bool haveElements = find_minmax(v, min, max);
    CHECK(!haveElements);
}

/*TEST_CASE("interval check"){
    size_t interval = 3;
    bool inRange;
    inRange = check_interval(interval);
    CHECK(inRange);
    inerval = 1
    inRange = check_interval(interval);
    CHECK(!inRange);
    interval = 2
    inRange = check_interval(interval);
    CHECK(inRange);
    interval = 9
    inRange = check_interval(interval);
    CHECK(inRange);
}
*/
